### Class

# WebKit2WebExtension DOMCSSRule

#### Description

    class WebKit2WebExtension.DOMCSSRule : WebKit2WebExtension.DOMObject
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- WebKitDOMObject
- GObject

#### Instance methods

###### webkit_dom_css_rule_get_css_text

No description available.

deprecated: 2.22

###### webkit_dom_css_rule_get_parent_rule

No description available.

deprecated: 2.22

###### webkit_dom_css_rule_get_parent_style_sheet

No description available.

deprecated: 2.22

###### webkit_dom_css_rule_get_rule_type

No description available.

deprecated: 2.22

###### webkit_dom_css_rule_set_css_text

No description available.

deprecated: 2.22

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### WebKit2WebExtension.DOMCSSRule:css-text

No description available.

###### WebKit2WebExtension.DOMCSSRule:parent-rule

No description available.

###### WebKit2WebExtension.DOMCSSRule:parent-style-sheet

No description available.

###### WebKit2WebExtension.DOMCSSRule:type

No description available.

##### Properties inherited from WebKitDOMObject (1)

###### WebKit2WebExtension.DOMObject:core-object

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WebKit2WebExtensionDOMCSSRuleClass {
      WebKitDOMObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: WebKitDOMObjectClass`

  No description available.